summaryrefslogtreecommitdiff
path: root/dev-util
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-05-04 15:14:42 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-05-04 15:14:42 +0100
commitb2e9b7dedc8fab52d158251db2e5ed796d0991ab (patch)
tree2f61a0922f0461fcbc558fc1485444c51889c03a /dev-util
parent727bbbc88e5d023388a4924377613ab669b0569d (diff)
dev-cpp/glibmm, dev-libs/glib, dev-util/glib-codegen : version bump (needed for gimp 2.10)
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/gdbus-codegen/Manifest1
-rw-r--r--dev-util/gdbus-codegen/files/gdbus-codegen-2.54.3-sitedir.patch22
-rw-r--r--dev-util/gdbus-codegen/files/setup.py-2.32.46
-rw-r--r--dev-util/gdbus-codegen/gdbus-codegen-2.54.3.ebuild46
4 files changed, 75 insertions, 0 deletions
diff --git a/dev-util/gdbus-codegen/Manifest b/dev-util/gdbus-codegen/Manifest
new file mode 100644
index 00000000..167cc4cb
--- /dev/null
+++ b/dev-util/gdbus-codegen/Manifest
@@ -0,0 +1 @@
+DIST glib-2.54.3.tar.xz 7836536 BLAKE2B 140e7cf09a41b72a5b22e5b87e9674cbfdfe1b82f3cf5f0fd3ecb2ed6b1f62a90f8b4c0bc2f655e297f91394f771f6ecad210357e31f104ee49ca178be6b9d76 SHA512 23eb4458684624f80c17aa784eab42a38eec87bb5979fcfe56f0bc63b5c7bcf8251a0d4ea916fe2c8109ff5b14a4b60c6260755d079ff984c0d8e6a2871d307d
diff --git a/dev-util/gdbus-codegen/files/gdbus-codegen-2.54.3-sitedir.patch b/dev-util/gdbus-codegen/files/gdbus-codegen-2.54.3-sitedir.patch
new file mode 100644
index 00000000..f739026d
--- /dev/null
+++ b/dev-util/gdbus-codegen/files/gdbus-codegen-2.54.3-sitedir.patch
@@ -0,0 +1,22 @@
+diff --git a/gio/gdbus-2.0/codegen/gdbus-codegen.in b/gio/gdbus-2.0/codegen/gdbus-codegen.in
+index 8050981..932410a 100644
+--- a/gdbus-codegen.in
++++ b/gdbus-codegen.in
+@@ -28,16 +28,7 @@ filedir = os.path.dirname(__file__)
+
+ if srcdir is not None:
+ path = os.path.join(srcdir, 'gio', 'gdbus-2.0')
+-elif os.path.basename(filedir) == 'bin':
+- # Make the prefix containing gdbus-codegen 'relocatable' at runtime by
+- # adding /some/prefix/bin/../share/glib-2.0 to the python path
+- path = os.path.join(filedir, '..', 'share', 'glib-2.0')
+ else:
+- # Assume that the modules we need are in the current directory and add the
+- # parent directory to the python path.
+- path = os.path.join(filedir, '..')
+-
+-sys.path.insert(0, os.path.abspath(path))
+-from codegen import codegen_main
++ from gdbus_codegen import codegen_main
+
+ sys.exit(codegen_main.codegen_main())
diff --git a/dev-util/gdbus-codegen/files/setup.py-2.32.4 b/dev-util/gdbus-codegen/files/setup.py-2.32.4
new file mode 100644
index 00000000..c5318e30
--- /dev/null
+++ b/dev-util/gdbus-codegen/files/setup.py-2.32.4
@@ -0,0 +1,6 @@
+from distutils.core import setup
+setup(name="gdbus_codegen",
+ version="@PV@",
+ packages=["gdbus_codegen"],
+ package_dir={"gdbus_codegen" : ""},
+ scripts=["gdbus-codegen"])
diff --git a/dev-util/gdbus-codegen/gdbus-codegen-2.54.3.ebuild b/dev-util/gdbus-codegen/gdbus-codegen-2.54.3.ebuild
new file mode 100644
index 00000000..1ac95b47
--- /dev/null
+++ b/dev-util/gdbus-codegen/gdbus-codegen-2.54.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME_ORG_MODULE="glib"
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_REQ_USE="xml"
+
+inherit gnome.org distutils-r1
+
+DESCRIPTION="GDBus code and documentation generator"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+# To prevent circular dependencies with glib[test]
+PDEPEND=">=dev-libs/glib-${PV}:2"
+
+S="${WORKDIR}/glib-${PV}/gio/gdbus-2.0/codegen"
+
+python_prepare_all() {
+ PATCHES=(
+ "${FILESDIR}/${PN}-2.54.3-sitedir.patch"
+ )
+ distutils-r1_python_prepare_all
+
+ sed -e 's:@PYTHON@:python:' gdbus-codegen.in > gdbus-codegen || die
+ cp "${FILESDIR}/setup.py-2.32.4" setup.py || die "cp failed"
+ sed -e "s/@PV@/${PV}/" -i setup.py || die "sed setup.py failed"
+}
+
+src_test() {
+ einfo "Skipping tests. This package is tested by dev-libs/glib"
+ einfo "when merged with FEATURES=test"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all # no-op, but prevents QA warning
+ doman "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}